%{?nodejs_find_provides_and_requires}

%global packagename jsprim
%global enable_tests 1

Name:		nodejs-jsprim
Version:	1.2.2
Release:	1%{?dist}
Summary:	Utilities for primitive JavaScript types

License:	MIT
URL:		https://github.com/davepacheco/node-jsprim.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source10:	dl-tests.sh

ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	npm(extsprintf)
BuildRequires:	npm(json-schema)
BuildRequires:	npm(verror)
%endif

Requires:	nodejs

%description
Utilities for primitive JavaScript types


%prep
%setup -q -n package
# setup the tests
%setup -q -T -D -a 1 -n package

%nodejs_fixdep extsprintf
%nodejs_fixdep verror

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json lib/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%__nodejs test/*.js
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}



%changelog
* Thu Oct 29 2015 Jared Smith <jsmith@fedoraproject.org> - 1.2.2-1
- Initial packaging
